Index: extensions/gally/gally-cuise/js/crossbrowser.js
===================================================================
--- extensions/gally/gally-cuise/js/crossbrowser.js	(revision 7194)
+++ extensions/gally/gally-cuise/js/crossbrowser.js	(revision 7459)
@@ -1,556 +1,33 @@
 ; (function (jQuery) {
- 
- 
- var Prefix='Vml';
- var Obj_init= "";
-
-var style_match =[];
-style_match=('transform,text-shadow,box-shadow,border-radius,star,opacity'.split(","));
-
-var style_prefix =[];
-//  Firefox (Gecko) -moz-
-//  Opera
-//  Safari (WebKit) -webkit- 
-style_prefix =('webkit,khtml,o,moz,icab ,'.split(","));
-
-var browsers = {linux:'-khtml-', webkit:'-webkit-',safari:'-webkit-',opera:'',mozilla:"-moz-",iph:'-icab-',msie:'',opacity:"" };  
-var Init_fig;
-var tmp = navigator.appName == 'Microsoft Internet Explorer' && navigator.userAgent.indexOf('Opera') < 1 ? 1 : 0;
-if(tmp) var isIE = document.namespaces ? 1 : 0;   
-//================================================================================
-var marge_body ;
-var IDS="";
-var Attr;
-var Object;
-var   Attr_val;
-var Unique_id=0;
-var uniqueId=0;
-var Nom_classe ;
-//================================================================================
-var Window={ width:jQuery(window).width(),height:jQuery(window).height()
-};
-var Fill_Color  ;
-var Fill_Src   ;
-var Fill_Type ;
-var box_shadow  ;
-var text_shadow ;
-    //==================================
-var rexclude = /z-?index|font-?weight|opacity|zoom|line-?height/i,
-	ralpha = /alpha\([^)]*\)/,
-	ropacity = /opacity=([^)]*)/,
-	rfloat = /float/i,
-	rdashAlpha = /-([a-z])/ig,
-	rupper = /([A-Z])/g,
-	rnumpx = /^-?\d+(?:px)?$/i,
-	rnum = /^-?\d/,
-    fcamelCase = function (all, letter) {
-	    return letter.toUpperCase();
-	};
-
- var classes ;
-// Add namespaces and stylesheet at startup. 
-function AddNameSpace(doc, prefix, urn) {
-	if(document.namespaces[prefix]==null) {
-		var e=["shape",
-                "shapetype",
-                "group",
-                "background",
-                "path",
-                "formulas",
-                "handles",
-                "fill",
-                "stroke",
-                "shadow",
-                "textbox",
-                "textpath",
-                "imagedata",
-                "line",
-                "polyline",
-                "curve",
-                "roundrect",
-                 "oval",
-                "rect",
-                "arc",
-                "image","textShadow","boxShadow","opacity"],Css = document.createStyleSheet(); 
-
-		for(var i=0; i<e.length; i++) {
-            Css.addRule(prefix +"\\:"+e[i],"behavior: url(#default#VML);");
-        } 
-        
-        document.namespaces.add(prefix, urn, '#default#VML');
-
-
-
-	} 
- 
-}
-
-     function addNamespace(doc, prefix, urn) {
-         if (!doc.namespaces[prefix]) {
-             doc.namespaces.add(prefix, urn, '#default#VML');
-         }
-     }
-
-     function addNamespacesAndStylesheet(doc,classid) {
-         AddNameSpace(doc, Prefix + "_" + classid , 'urn:schemas-microsoft-com:vml');
-       //  AddNameSpace(doc, "v"   , 'urn:schemas-microsoft-com:vml');
-      
-     }
-
-  
-   
-
-
+			 
+ if (!document.namespaces.v) { document.namespaces.add("v", "urn:schemas-microsoft-com:vml"); }
     var mode = document.documentMode || 0;
     var noBottomFold = jQuery.browser.msie && ((jQuery.browser.version < 8 && !mode) || mode < 8);
     var init = false;
     var angle = 0;
-
-var strokeWeight ={
-                    Bottom:0,
-                    Left:0,
-                    Top:0,
-                    Right:0
-                   }
-    ;
-var strokeColor ={
-                    Bottom:'black',
-                    Left:'black',
-                    Top:'black',
-                    Right:'black'
-                   };
-var strokeStyle ={
-                    Bottom:'solid',
-                    Left:'solid',
-                    Top:'solid',
-                    Right:'solid'
-                   };
-//===================================================
-	  var stroked = false;
-     var Curwidth = 0;
-     var Curheight = 0;
-  
-     var rect_init;
-     var css_init;
-     var fill_init;
-     //==============================================================
-
-     // precompute "00" to "FF" 
-    var decToHex = [];
-    var  alpha = 1;
-    var  init_x = 0;
-    var  init_y = 0;
-    var  init_x0 =0;
-    var  init_y0 = 0;
-    //====================================
-    var Dimension = {};
-    var origine = {x:0,y:0,Left:0,Top:0,Width:100,Height:100,w:100,h:100};
-   
-//============================================================
-var Options={
-
-};
-
-
-//=========================================
-function Set_textbox(prefix,Options){
-//<textbox string="VML text" layout-flow="vertical"/>
-Str=[];
-if (Options.textbox) {
-            Str.push('<'+prefix+':textbox ');
-            for (i in Options.textbox)
-            { 
-            Str.push( i + '=' +  Options.textbox[i] );  
-            
-            }
-             Str.push('style="font:normal normal normal 36pt Arial"');
-            Str.push('/>');
-   }
-  return  Str.join(' ');
-
-}
-function Set_Shadow( prefix,Options ){
-Str=[];
-if (Options.shadow) {
-            Str.push('<'+prefix+':shadow ');
-            for (i in Options.shadow)
-            { Str.push( i + '=' +  Options.shadow[i] );  }
-            Str.push('/>');
-   }
-  return  Str.join(' ');
-
-}
-//============================================================
-function Set_Value_to_str(Valeurs,op,sep)
-{
-    n=""
-    for (i in Valeurs) 
-    {
-     Val=Valeurs[i ];
-     if (/;/.test( Val))
-     {
-      sous_val=Valeurs[i ].split(";") ;
-      for (j in sous_val) 
-      {
-            val1=sous_val[j].split(":");
-            n += val1[0] + op + val1[1]+ sep;
-            }
-
-        }else{
-            n += i + op + Val + sep;
-        }
-
-    }
-    return n;
-}
-//=============================================================
-
-function Set_Shape(prefix,Options){
-ShapeStr=[];
-if (Options.shape) {
-
-     ShapeStr.push('<'+ prefix +':'+ Options.element + ' ');
-     for (i in Options.shape)
-       {  
-       Val=Options.shape[i];
-       if (Val)
-       ShapeStr.push( i+'="' +  Val + '"' );  
-       else
-       n=i ;
-
-       }
-     ShapeStr.push('>');
- }
- ret=ShapeStr.join(' ');
- return ret;
-}
-//-----------------------------------------------------
-function Set_end_Shape(prefix,Options){
-if (Options.shape) {
-  
-return '</'+prefix+':'+ Options.element  +' > ';
-}else return '</'+prefix+' > ';
-
-
-}
-//============================================================
-function Set_Stroke(prefix,Options){
-StrokeStr=[];
-if (Options.stroke) {
-            StrokeStr.push('<'+prefix+':stroke ');
-            for (i in Options.stroke)
-            { StrokeStr.push( i + '=' +  Options.stroke[i] );  }
-            StrokeStr.push('/>');
-   }
-  return  StrokeStr.join(' ');
-
-}
-//=======================================================================================
-
-function Set_Group(prefix,Options)
-{
-
-GroupStr=[];
-if (Options.group) {
-            GroupStr.push('<'+prefix+':group');
-                for (i in Options.group)
-            {
-             GroupStr.push( i + '=' +  Options.group[i] ); 
-            }
-            GroupStr.push('>');
-   }
-           return  GroupStr.join(' ');
-
-}
-
-//-----------------------------------------------------
-function Set_end_Group(prefix,Options){
-if (Options.group) {
-return '</'+prefix+':'+ 'group'  +' > ';
-}else return '</'+prefix+' > ';
-
-
-}
-
-
-//=======================================================================================
-function Set_Fill(prefix,Options){
-
-FillStr=[];
-if (Options.fill) {
-            FillStr.push('<'+prefix+':fill');
-            for (i in Options.fill)
-            {
-    
-            FillStr.push( i+'=' +  Options.fill[i] ); 
-            }
-
-      
-            FillStr.push('/>');
-          
-            
-  }
-return FillStr.join(' ');
-}
-
-
-
-//============================================================
-function Get_angle(obj)
-{
-if (typeof obj =='string') obj=jQuery("#"+ obj).get(0) ; 
- 
-if (!obj) return ;
-  var  m1 ="transform,-o-transform,-moz-transform,-webkit-transform";  
-    m1 =  m1.split(",") ;
-     s =  obj.currentStyle;
-    if (!s)  s = obj.style;
-  if (!s) return ;
-
-    for (i in m1)
- if (s[m1[i]]!=undefined) 
- { 
-  
-  var rotation=s[m1[i]] ;
- break; }
-
- var Angle=0;
-
-         if (typeof rotation != "undefined") {
-             
-             var angle1 = rotation.split("rotate(");
-             angle1 = angle1[1].split("deg)");
-             Angle = angle1[0];
-         }
-         return Angle ;
-}
-//===========================================================
-function removeExtraSpace(str)
-{
- if (!str) return "" ;
-    str = str.replace(/[\s]{2,}/g," "); // Enlève les espaces doubles, triples, etc.
-    str = str.replace(/^[\s]/, ""); // Enlève les espaces au début
-    str = str.replace(/[\s]$/,""); // Enlève les espaces à la fin
-    return str;    
-}
-
-
-function trim(str, chars) {
-	return ltrim(rtrim(str, chars), chars);
-}
- 
-function ltrim(str, chars) {
-	chars = chars || "\\s";
-	return str.replace(new RegExp("^[" + chars + "]+", "g"), "");
-}
- 
-function rtrim(str, chars) {
-	chars = chars || "\\s";
-	return str.replace(new RegExp("[" + chars + "]+$", "g"), "");
-}
-//====================================================================
-function Get_Tableau(Val_src) {
-Val_src=removeExtraSpace(Val_src)
-
-  var tableau = Val_src.split(" ");  
-      tableau = Val_src + " " + Val_src + " " +tableau[0] +" " + tableau[0]  ; 
-        
-      tableau = tableau.split(" ");  
-
-return {Top:tableau[0] ,Right: tableau[1],Bottom: tableau[2],Left:tableau[3] };
-}
-//============================================================
-function Get_radius(obj)
-{
-/*
-   1 La valeur spécifiée est appliquée aux quatre coins. 
-   2 La première valeur est appliquée aux coins supérieur gauche et inférieur droit, et la seconde, aux coins supérieur droit et inférieur gauche  
-   3 La première valeur est appliquée au coin supérieur gauche, la deuxième aux coins supérieur droit et inférieur gauche, et la troisième, au coin inférieur droit  
-   4 Les angles supérieur gauche, supérieur droit, inférieur droit et inférieur gauche sont respectivement définis  
-*/
-
-  var  m1 ="border-radius,-o-border-radius,-moz-border-radius,-webkit-border-radius,star";  
-    m1 +=",borderRadius,OBorderRadius,MozBorderRadius,WebkitBorderRadius,star";  
-
-    $e=jQuery(obj);
-    m1 =  m1.split(",") ;
-    s=obj.currentStyle;
-   // s = obj.style.cssText.split(";");
-
-    Attribut = false;
- type="";
- for (i in m1)
- if (s[m1[i]]!=undefined) 
- { 
-  Attribut = true;
-  radius=s[m1[i]] ;
-  type=m1[i];
- break; }
-  if (typeof radius == "undefined") { radius = "0" }
-      var reg=new RegExp("\ \ ","g");
-      nr = radius;
-     while(radius.match("\/")){
-         radius=radius.replace("\/"," ");
-     }
-
-          while(radius.match("\ \ ")){
-             radius=radius.replace(reg," ");
-          }
- 
- if (type.match("star") ) {
-  var radius = (radius + " " + 1)
-  var tableau = radius.split(" "); 
-           return { r:tableau[0] ,
-                   type:type
-                  }
-       }
-            
- 
-      v1=Get_Tableau(radius);
-
-
-      
-      top_left = parseInt(s['border-top-left-radius']||v1.Top) ;
-      top_right =  parseInt(s['border-top-right-radius']||v1.Right);
-      bottom_right =  parseInt(s['border-bottom-right-radius']||v1.Bottom);
-      bottom_left =  parseInt(s['border-bottom-left-radius']||v1.Left);  
-
-
-       
-      type=(nr.match("\/")) ? "oval" : (parseInt(v1.Left)==0) ? "rect" : "shape" ;
-              
-	return { r:v1.Left,
-             top_left:top_left ,
-             top_right:top_right ,
-             bottom_right:bottom_right ,
-             bottom_left:bottom_left,
-             type:type};
-
-}
-//=======================================================================================
-/*
-Single (default) 
-ThinThin 
-ThinThick 
-ThickThin 
-ThickBetweenThin
-*/
-function Get_style(borderStyle_src){
- 
-   v1=Get_Tableau(borderStyle_src) ;
-
-for ( i1 in v1)
-{
-borderStyle=v1[i1] ;
-
-
-         switch(borderStyle)
-         {
-         case 'solid':
-         strokeStyle[i1]="Single";
-            break;
-        case 'double':
-        strokeStyle[i1]="thinThin";
-            break;
-        case 'none':
-         strokeStyle[i1]="Single";
-        stroked =false
-            break;
-         default:
-          strokeStyle[i1]="Single";
-
-             break;
-         }
-   
-}   
-      return  strokeStyle;
-}
-
-//=============================================================
-function Get_Color(Color_src){
- 
- v1= Get_Tableau(Color_src) ;
-  for ( i1 in v1)
-{
-   strokeColor[i1] = ( translateColor(v1[i1])=="transparent") ? "none" : translateColor(v1[i1]) ;
-
-  }
-
-return  strokeColor;
-}
-
-//=============================================================
-function Get_stokeWeight(Weight_src){
- 
-   v1=Get_Tableau(Weight_src) ;
-   stroked=false ;
-for ( i1 in v1)
-{
-Weight=v1[i1] ;
-p1=Weight.match("%")
-
-         switch(Weight)
-         {
-         case  p1:
-          strokeWeight[i1]=10;
-          break;
-        case 'thin':
-          strokeWeight[i1]=0.5;
-          break;
-		case 'medium':
-          strokeWeight[i1]=0.75;
-		  break;
-		case 'thick':
-          strokeWeight[i1]=2;
-		  break;
-		case 'inherit':
-		if(Obj.parentElement)
-          strokeWeight[i1]=Get_stokeWeight(Obj.parentElement.currentStyle.borderWidth);
-		  else
-		  strokeWeight[i1]=0 ;
-		  
-		  break; 
-		  
-         default:
-		 
-         strokeWeight[i1]= Weight ;
-             break;
-         }
- strokeWeight[i1]=parseInt(strokeWeight[i1]) ;
-         if (isNaN( strokeWeight[i1] )) {
-             strokeWeight[i1] = 0;
-         } 
-
-         stroked =  ( strokeWeight[i1] > 0) ?  ( strokeWeight[i1] > 0) :stroked;
-}
-		 return   strokeWeight   ;
-		 
-	}
+    var strokeWeight =0;
+
 //=======================================================================================
 //Filter: Alpha(Opacity=100, FinishOpacity=0, Style=2, StartX=20, StartY=40, FinishX=0, FinishY=0);
 //filter:progid:DXImageTransform.Microsoft.Alpha(opacity=20)"
-function Set_opacity(obj) {
- filtres=obj.style.filter;
- 
- if (parseInt( alpha  )  + "" !== "NaN" ) {
-   if (  (alpha > 1) ) alpha /= 100 ;
-
- }
-
-sProperties = "opacity = "+  alpha*100 + ", FinishOpacity=100, Style=2, StartX=20, StartY=40, FinishX=0, FinishY=0"; 
-sProperties = "opacity = "+  alpha*100 ;
-
-if (!filtres.match("progid:DXImageTransform.Microsoft.Alpha")) 
-   filtres += "  progid:DXImageTransform.Microsoft.Alpha("+sProperties+") ";
-  
-   obj.style.filter = filtres ;
-
+function opacity(obj) {
+        alpha_css=jQuery(obj).css("opacity");
+        fils=     $(obj).children() ;
+        if (fils.length>1) { 
+                jQuery( fils).css("opacity",alpha_css);
+            }
 }
- 
      //======================================================================================
-function Rotate(_Obj,angle,offset_Vertical,offset_Horizontal)
-         {  
-         if (!_Obj) return ;
-         name=_Obj.id ;
+function transform(obj) {
+     if (!obj) return ;
+         if (typeof obj == "string") var s = document.getElementById(obj).style;
+         else var s = obj.style;
+        
+         if (typeof s.transform != "undefined") {
+             var angle1 = s.transform.split("rotate(");
+             angle1 = angle1[1].split("deg)");
+             angle = angle1[0];
+         }
+         //==================================================================================   
          var deg2radians = Math.PI * 2 / 360;
          var rad = angle * deg2radians;
@@ -558,156 +35,100 @@
          var sintheta = Math.sin(rad);
 
-         Horizontal=0 ;
-        Vertical=0 ;
+         if (!obj.style.filter.match("progid:DXImageTransform.Microsoft.Matrix")) obj.style.filter += "  progid:DXImageTransform.Microsoft.Matrix() ";
+
+
+         centered = true;
+         try{
+         obj.filters.item("DXImageTransform.Microsoft.Matrix").M11 = costheta;
+         obj.filters.item("DXImageTransform.Microsoft.Matrix").M12 = -sintheta;
+         obj.filters.item("DXImageTransform.Microsoft.Matrix").M21 = sintheta;
+         obj.filters.item("DXImageTransform.Microsoft.Matrix").M22 = costheta;
+         obj.filters.item("DXImageTransform.Microsoft.Matrix").sizingMethod = 'auto expand'; //'clip to original' ; //
+         }  catch (_) { 
+         centered = true;
+         }
+
+  height = obj.clientHeight;
+  width = obj.clientWidth;
+  xleft= obj.offsetLeft;
+  ytop= obj.offsetTop;     
+  ntop = ((height - obj.offsetHeight) / 2);
+  nleft = ((width - obj.offsetWidth) / 2); 
+
+
+    if (obj.vml) {
+          if (!init) {
+            jQuery(obj).css("position", "absolute");
+          pos_img=jQuery(obj).findPos();
+           pos_vml=jQuery(obj.vml).findPos();
+                  nleft=-strokeWeight;
+                  ntop =-strokeWeight;
+
+                   var mode = document.documentMode || 0;
+                  if (obj.currentStyle.position!="absolute"){
+
+                    init_x0=init_x - (0.5*strokeWeight) ;
+                   if (mode==8) init_y0=init_y + (0.5*strokeWeight) ;
+                   else init_y0=init_y + (1.5*strokeWeight) ;
+                    init_y=strokeWeight;
+                    init_x=strokeWeight;
+
+
+                  }else{
+                   init_y=parseInt(pos_img.x)+strokeWeight;
+                   init_x=parseInt(pos_img.y)+strokeWeight;
+                   init_x0=init_x+(0.5*strokeWeight);
+                    init_y0=init_y+(0.5*strokeWeight);
+
+                  }
+
+                   jQuery(obj).css("position", "absolute");
+                  init=true;
+                   
+                 }
+
+                        x = init_x+  nleft ;
+                        y = init_y+  ntop ;
+
+
+                 jQuery(obj).css("left",  x +  "px");
+                 jQuery(obj).css("top",  y +  "px");
+ 
+                 jQuery(obj.vml).css("left",   init_x0 +  nleft+  "px");
+                 jQuery(obj.vml).css("top",  init_y0 +  ntop+  "px");
+       
+
+                 transform(obj.vml);
+                       
+                } 
+var name_id=obj.id ;  
+ jQuery(obj).css("opacity",alpha);
+ if (alpha!=1) {
+     opacity(obj);
+ 
+ }
+ 
+          return ;
+
+ 
+    
+
+
+
+
      
- filtres=_Obj.style.filter;
-//Dx ="+ Horizontal +",Dy ="+ Vertical +",
-
-sProperties = "M11 ="+ costheta+",M12 ="+ -sintheta+",M21 ="+ sintheta +",M22 ="+ costheta +", sizingMethod =" + "'auto expand'" + ""; //'clip to original' ; //
-if (!filtres.match("progid:DXImageTransform.Microsoft.Matrix")) 
-   filtres += "  progid:DXImageTransform.Microsoft.Matrix("+sProperties+") ";
-
- _Obj.style.filter=filtres ;
- return _Obj;
-
-}
-//============================================================================
-function Transform(obj) {
-     	if (!obj) return ;
-    	obj=jQuery(obj).get(0);
-    	if (!obj) return ;
-		s = obj.style;
-      	angle= angle || Get_angle(obj);
-        if (!init) {
-             init=true ;
- 			//=================================================================
-            ntop = 0;
-            nleft = 0; 
-        Parent=obj.id.replace("_Ombre","");
-        Obj_parent=jQuery("#"+Parent).get(0);
-         
-            if (typeof (Obj_parent)!="undefined") {
-
-                   Left=Dimension[Obj_init.id].Left;
-                   Top=Dimension[Obj_init.id].Top;
-                   if (/Texte/.test(obj.id) ){
- 
-
-                   Top =   (( obj.clientHeight - obj.offsetHeight) / 2);
-  	                Left=   ((obj.clientWidth - obj.offsetWidth) / 2); 
-
-                   }
-
-         		}
-
-
-            jQuery(obj).width( Dimension[Obj_init.id].w  );   
-            jQuery(obj).height( Dimension[Obj_init.id].h );  
-
-
-            init_x=  Left  +   (strokeWeight.Left/2)    ;
-            init_y=  Top +   (strokeWeight.Top/2)   ;
-
-            }
-	//===========================================
- //obj.style.position="absolute";
-  	jQuery(obj).rotate(angle);
-   
-
-  	ntop = (( obj.clientHeight - obj.offsetHeight) / 2);
-  	nleft = ((obj.clientWidth - obj.offsetWidth) / 2); 
-     if (/Texte/.test(obj.id) ){
- 
-
-                  ntop =0;
-  	              nleft = 0;
-
-                   }
-
-  	jQuery(obj).css("left",  init_x +  nleft+  "px");
-  	jQuery(obj).css("top", init_y +  ntop+  "px");
-
-
- }
-
+
+     }
 //===========================================
 function onPropertyChange(e) {
-   var el = e.srcElement;
-       ID=  el.id;
-       Prop=e.propertyName.split(".") ;
-       Property=Prop[1];
-
-       Valeur=el.currentStyle[Property] ;
-      return ;
-
-       if ( !ID.match("Vml") )
-       {
-      
-       el=jQuery("#Vml_" + ID ).get(0);
-       if (!el) 
-            return ;
-      if(!Property) return ;
-      if (Property=="filter")
-      h1= jQuery("#Vml_" + ID ).css(Property);
-      else
-      el=jQuery("#Vml_" + ID ).get(0);
-     
-        
-       }else{
-            return ;
-       }
-
- 		switch (e.propertyName) {
-
-            case "style.position":
-             init=false ;
-                 transform(el);
+         var el = e.srcElement;
+
+         switch (e.propertyName) {
+            case "opacity":
+                 opacity(el);
+
                  break;
-
-            case "style.filter":
-             init=false ;
-        alpha=Valeur;
-            if (! el.style.filter.match(Valeur))
-                           Set_opacity(el);
-
-
-                 break;
-            case "style.opacity" :
-             init=false ;
-           new_alpha=jQuery("#"+el.id).css("opacity") ;
-            if ( el.style.opacity != jQuery("#"+el.id).css("opacity"))
-                           Set_opacity(el);
-
-
-                 break;
-
-            case  "style.borderWidth" :
-                  init=false ;
-                
-                     el.strokeWeight = Valeur;
-
-                  if (el.style.borderLeftWidth != strokeWeight.Left +"px"  ) 
-                  {
-                       strokeWeight = Get_stokeWeight(el.style.borderWidth) ;
-
-                   transform(el);
-                   jQuery("#"+el.id).css("borderWidth",el.style.borderWidth );
-
-                   }
-                 break;		
-                 
-            case "style.borderStyle":
-            transform(el);
-         
-                 break;		
-
-            case "style.borderColor":
- 
-                     el.strokeColor =  translateColor(Valeur);
-                     transform(el);
-                 break;		    
-                                               		 
              case "style.transform":
-                init=false ;
+             // init=false;
                  transform(el);
 
